Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## profiles
Interface Message

All Known Implementing Classes:
  TextMessage

public interface Message

E' la classe generica che descrive un messaggio. Esistono 3 tipi di messaggi:

- richesta routing-table
- routing-table inviata in risposta
- messaggio livello utente, utilizzati per il sistema di profili

Version:
  1.0
Author:
  Lorenzo Moretti

Field Summary
`static int` | `RT_REQ` Il messaggio è una richiesta di RoutingTable.
`static int` | `RT_SND` Il messaggio contiene una RoutingTable in risposta ad una richiesta.
`static int` | `USR_MSG` Il messaggio è un messaggio utente.

Method Summary
`java.lang.Object` | `getMessage()` Restituisce il contenuto del messaggio.
`java.util.Vector` | `getRoute()` Restituisce un percorso per un per raggiungere il destinatario.
`java.lang.String` | `getSrcDevice()` Ottiene il mittente.
`int` | `getType()` Deve restituire una delle costanti presentati sopra.
`void` | `setRoute(java.util.Vector v)` Reimposta il percorso per un messaggio.
`java.lang.String` | `toString()` Permette di serializzare il messaggio in una stringa di testo.

Field Detail

### RT_REQ

    public static final int RT_REQ

  Il messaggio è una richiesta di RoutingTable.

  See Also:
    Constant Field Values

### RT_SND

    public static final int RT_SND

  Il messaggio contiene una RoutingTable in risposta ad una richiesta.

  See Also:
    Constant Field Values

### USR_MSG

    public static final int USR_MSG

  Il messaggio è un messaggio utente.

  See Also:
    Constant Field Values

Method Detail

### getType

    public int getType()

  Deve restituire una delle costanti presentati sopra.

  Returns:
    il tipo di messaggio.

### getRoute

    public java.util.Vector getRoute()

  Restituisce un percorso per un per raggiungere il destinatario. Il percorso è espresso come una lista di URL (rappresentati come stringhe).

  Returns:
    il percorso per il destinatario.

### setRoute

    public void setRoute(java.util.Vector v)

  Reimposta il percorso per un messaggio.

  Parameters:
    `v` -

### getSrcDevice

    public java.lang.String getSrcDevice()

  Ottiene il mittente. Il mittente è espresso come id (URL).

  Returns:
    il mittente del messaggio.

### getMessage

    public java.lang.Object getMessage()

  Restituisce il contenuto del messaggio.

  Returns:
    il contenuto del messaggio.

### toString

    public java.lang.String toString()

  Permette di serializzare il messaggio in una stringa di testo.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    una stringa di testo che consenta la ricostruzione del messaggio.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD